[arch-commits] Commit in time/repos (3 files)

Eric Bélanger eric at archlinux.org
Sat May 2 20:31:03 EDT 2009


    Date: Saturday, May 2, 2009 @ 20:31:02
  Author: eric
Revision: 37558

Fixed svn conflict

Added:
  time/repos/extra-x86_64/time.install
    (from rev 37557, time/trunk/time.install)
Modified:
  time/repos/extra-x86_64/	(properties)
  time/repos/extra-x86_64/PKGBUILD

--------------+
 PKGBUILD     |   23 ++++++++++++-----------
 time.install |   20 ++++++++++++++++++++
 2 files changed, 32 insertions(+), 11 deletions(-)


Property changes on: time/repos/extra-x86_64
___________________________________________________________________
Modified: svnmerge-integrated
   - /time/trunk:1
   + /time/trunk:1-37557

Modified: extra-x86_64/PKGBUILD
===================================================================
--- extra-x86_64/PKGBUILD	2009-05-03 00:29:38 UTC (rev 37557)
+++ extra-x86_64/PKGBUILD	2009-05-03 00:31:02 UTC (rev 37558)
@@ -1,23 +1,24 @@
 # $Id$
-
 # Maintainer: damir <damir at archlinux.org>
-# Contributor: 
 
 pkgname=time
 pkgver=1.7
-pkgrel=1
+pkgrel=2
 pkgdesc="The 'time' command runs another program, then displays information about the resources used by that program, collected by the system while the program was running."
+arch=('i686' 'x86_64')
 url="http://www.gnu.org/software/time/time.html"
-depends=('glibc')
-arch=('i686' 'x86_64')
-license=('GPL2')
-source=("http://ftp.gnu.org/pub/gnu/time/time-$pkgver.tar.gz")
+license=('GPL')
+depends=('glibc' 'texinfo')
+install=time.install
+source=(http://ftp.gnu.org/pub/gnu/time/time-$pkgver.tar.gz)
 md5sums=('e38d2b8b34b1ca259cf7b053caac32b3')
 
 build() {
-  cd $startdir/src/$pkgname-$pkgver
-  ./configure --prefix=$startdir/pkg/usr
+  cd $srcdir/$pkgname-$pkgver
+  ./configure --prefix=/usr --infodir=/usr/share/info || return 1
   make || return 1
-  make install
-  ln -sf /usr/bin/time $startdir/pkg/usr/bin/gnutime
+  make exec_prefix=$pkgdir/usr infodir=$pkgdir/usr/share/info install || return 1
+  gzip $pkgdir/usr/share/info/time.info
+  ln -sf /usr/bin/time $pkgdir/usr/bin/gnutime || return 1
+  ln -sf time.info.gz $pkgdir/usr/share/info/gnutime.info.gz
 }

Copied: time/repos/extra-x86_64/time.install (from rev 37557, time/trunk/time.install)
===================================================================
--- extra-x86_64/time.install	                        (rev 0)
+++ extra-x86_64/time.install	2009-05-03 00:31:02 UTC (rev 37558)
@@ -0,0 +1,20 @@
+infodir=/usr/share/info
+filelist=(time.info.gz gnutime.info.gz)
+
+post_install() {
+  [ -x usr/bin/install-info ] || return 0
+  for file in ${filelist[@]}; do
+    install-info $infodir/$file $infodir/dir 2> /dev/null
+  done
+}
+
+post_upgrade() {
+  post_install $1
+}
+
+pre_remove() {
+  [ -x usr/bin/install-info ] || return 0
+  for file in ${filelist[@]}; do
+    install-info --delete $infodir/$file $infodir/dir 2> /dev/null
+  done
+}



More information about the arch-commits mailing list